View Columns
Get column information for a specific view
curl -X GET "https://api.nexus.usehardal.com/analytics/views/John Doe" \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY"
import requests
import json
url = "https://api.nexus.usehardal.com/analytics/views/John Doe"
headers = {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.nexus.usehardal.com/analytics/views/John Doe", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.nexus.usehardal.com/analytics/views/John Doe", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.nexus.usehardal.com/analytics/views/John Doe')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{}
GET
/analytics/views/{name}GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: Authorization)
Authorizationstring
RequiredAPI key (sent in header)
path
namestring
RequiredView name
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
namestring
RequiredView name
Responses
200 response
Was this page helpful?